Linux/Corrupt Tile Rendering

From VFXPedia

Jump to: navigation, search

The tool tiles in the Fusion 6 flow may appear corrupt when Fusion is run under some 64 bit linux distributions. In particular this issue has been reported 64 bit installations of Fedora Core 9, 10 and 11.

Image:Fedora_corrupt_tiles.png

The root cause of the issue is that the standard 64 bit Fedora Core installation does not install a full set of 32 bit compatibility libraries. To cut a long story short, the problem is related to the fact that a standard FC9 installation only has a small subset of the required 32-bit compatibility libraries. To fix the tile rendering, a i386 or i586 version of the libXrender library must be installed in order for tile rendering to function correctly.

Without a complete install of the 32 bit compatibility libraries it is possible that other aspects of Fusion may be affected, such as sound.

This can be done from the GUI by using "System:Administration:Add/Remove Software" and clicking the desired packages. If using the shell "yum" should be able to install the required packages.

Here's a list of 32-bit libraries installed on a working Fedora Core 9 system, for comparison:

# rpm -qa | egrep -e '\.fc9\.i386' | sort
alsa-lib-1.0.17-2.fc9.i386
device-mapper-libs-1.02.24-11.fc9.i386
e2fsprogs-libs-1.41.3-2.fc9.i386
fontconfig-2.5.0-2.fc9.i386
freetype-2.3.5-7.fc9.i386
gamin-0.1.9-5.fc9.i386
glib2-2.16.6-2.fc9.i386
hunspell-1.2.1-7.fc9.i386
libdrm-2.4.0-0.13.fc9.i386
libfontenc-1.0.4-5.fc9.i386
libICE-1.0.4-3.fc9.i386
libselinux-2.0.67-4.fc9.i386
libsepol-2.0.32-1.fc9.i386
libSM-1.1.0-1.fc9.i386
libX11-1.1.4-1.fc9.i386
libXau-1.0.3-5.fc9.i386
libXaw-1.0.4-2.fc9.i386
libxcb-1.1-5.fc9.i386
libXcomposite-0.4.0-4.fc9.i386
libXcursor-1.1.9-2.fc9.i386
libXdamage-1.1.1-4.fc9.i386
libXdmcp-1.0.2-5.fc9.i386
libXevie-1.0.2-3.fc9.i386
libXext-1.0.4-1.fc9.i386
libXfixes-4.0.3-3.fc9.i386
libXfont-1.3.2-1.fc9.i386
libXfontcache-1.0.4-5.fc9.i386
libXft-2.1.12-5.fc9.i386
libXi-1.1.3-4.fc9.i386
libXinerama-1.0.3-1.fc9.i386
libxkbfile-1.0.4-5.fc9.i386
libxklavier-3.5-1.fc9.i386
libxml2-2.7.2-2.fc9.i386
libXmu-1.0.4-1.fc9.i386
libXNVCtrl-169.12-1.fc9.i386
libXp-1.0.0-11.fc9.i386
libXpm-3.5.7-4.fc9.i386
libXrandr-1.2.2-3.fc9.i386
libXrender-0.9.4-3.fc9.i386
libXres-1.0.3-4.fc9.i386
libXScrnSaver-1.1.2-4.fc9.i386
libxslt-1.1.24-2.fc9.i386
libXt-1.0.4-5.fc9.i386
libXTrap-1.0.0-5.fc9.i386
libXtst-1.0.3-3.fc9.i386
libXv-1.0.3-5.fc9.i386
libXvMC-1.0.4-4.fc9.i386
libXxf86dga-1.0.2-2.fc9.i386
libXxf86misc-1.0.1-5.fc9.i386
libXxf86vm-1.0.1-5.fc9.i386
mesa-libGL-7.1-0.37.fc9.i386
mesa-libGLU-7.1-0.37.fc9.i386
ncurses-libs-5.6-18.20080628.fc9.i386
zlib-1.2.3-18.fc9.i386


The above list was taken from a system with an ATI graphics card - if an NVidia graphics card is used the 32-bit compatibility libraries ( xorg-x11-drv-nvidia-libs ) must also be installed, or else Fusion will fail to load with the error message:

 Major opcode of failed request:  135 (GLX)
Personal tools